Package org.bgerp.model.process.queue.filter

# Class Filter

java.lang.Object
ru.bgcrm.dao.CommonDAO
org.bgerp.model.process.queue.filter.Filter

Direct Known Subclasses:
  `FilterExecutors`, `FilterGrEx`, `FilterLinkObject`, `FilterOpenClose`, `FilterParam`, `FilterProcessType`, `FilterStatusUser`

public class Filter extends CommonDAO
Process queue filter

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final ConfigMap`
  `configMap`
  `static final String`
  `ON_EMPTY_VALUES`
  `static final String`
  `VALUES`

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Filter(int id, ConfigMap filter)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(DynActionForm form, QueueSelectParams params)`
  `List<Integer>`
  `getAvailableValues()`
  `ConfigMap`
  `getConfigMap()`
  `Set<Integer>`
  `getDefaultValues()`
  `int`
  `getId()`
  `Set<Integer>`
  `getOnEmptyValues()`
  `String`
  `getTitle()`
  `String`
  `getType()`
  `Set<String>`
  `getValues()`
  `String`
  `getValues(DynActionForm form, String paramName)`
  Values of a request parameter, taking on account `getValues()` and `getOnEmptyValues()`.
  `String`
  `getWidth()`
  `boolean`
  `isShow()`

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### VALUES

    public static final String VALUES
    See Also:
      - Constant Field Values

  - ### ON_EMPTY_VALUES

    public static final String ON_EMPTY_VALUES
    See Also:
      - Constant Field Values

  - ### configMap

    protected final ConfigMap configMap

- ## Constructor Details

  - ### Filter

    public Filter(int id, ConfigMap filter)

- ## Method Details

  - ### getConfigMap

    public ConfigMap getConfigMap()

  - ### getId

    public int getId()

  - ### getType

    public String getType()

  - ### getTitle

    public String getTitle()

  - ### getDefaultValues

    public Set<Integer> getDefaultValues()
    Returns:
      default values, selected in UI.

  - ### getAvailableValues

    public List<Integer> getAvailableValues()
    Returns:
      available values in UI.

  - ### getValues

    public Set<String> getValues()
    Returns:
      predefined values.

  - ### getOnEmptyValues

    public Set<Integer> getOnEmptyValues()
    Returns:
      values when no others sent from UI in request.

  - ### isShow

    public boolean isShow()

  - ### getWidth

    public String getWidth()

  - ### getValues

    public String getValues(DynActionForm form, String paramName)
    Values of a request parameter, taking on account `getValues()` and `getOnEmptyValues()`.
    Parameters:
      `form` - form with the HTTP request
      `paramName` - the parameter name
    Returns:
      comma-separated list

  - ### apply

    public void apply(DynActionForm form, QueueSelectParams params)